// Default (minimal) handlers for packet driver upcalls

#define IP_BUF_TRACE           0

#define far
#include "..\types\types.h"
#include "..\wattcp\wattcp.h"
#include "..\wattcp\ethdev.h"
#include "..\wattcp\pktdrv.h"

// Turn off compiler warning about unused parameters
// since I know they won't be used and I must have
// them because calling code cannot be changed

#pragma warn -par

Bit8 *pkt_rcv_call1(Bit16 length_wanted,
   Bit16 lah_length, Bit8 *eth_buff, Bit16 if_nbr)
{
   return get_pktbuf(length_wanted);
   }

void pkt_rcv_call2(Bit16 len, Bit8* buff, Bit16 if_nbr)
{
   struct pbuf *bp;
   bp = (struct pbuf *)(buff - BUF_HDR_LEN);
   bp->state = 2;  /* Ready for TCP/IP */
   enqueue(&readyq, bp);
#if IP_BUF_TRACE
   printf(" {#%u}", bp->unused);
#endif
   }

/* Default version, never used */
void au_send_mon(int length, unsigned char *buffer)
{
   return;
   }
