#define COLLAPSED_AS    60000
#define UNFOUND_SRC_AS  60001
#define UNFOUND_DST_AS  60002

#define BGP_PATH        "\\oc3mon\\"



int init_net_stats( void );

void update_net_stats( struct hashrec *hr,
    u_int packets, Bit64 bytes, float duration,
    double packets2, double bytes2, double duration2,
    double packets_bytes, double bytes_duration, double packets_duration
);

int report_net_stats( tcp_Socket *sock,
    float istamp0, float trace_duration0, u_int flows0,
    double packetsum0, double bytesum0, double dursum0,
    double packet2sum0, double byte2sum0, double dur2sum0,
    double sumpb0, double sumbd0, double sumpd0 );



extern u_int nethash_alloc_failures;
